import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'

import router from './router'
import i18n from './lang'

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'uno.css'
import './styles/css/index.css'
import '@/styles/element/index.scss'
import 'element-plus/theme-chalk/dark/css-vars.css'

const app = createApp(App)

app.config.globalProperties.$t = i18n.global.t
app.config.globalProperties.$currency = 'RMB'

app.config.globalProperties.$mainColor = '#f8b932'
app.config.globalProperties.$mainBgColor = '#212121'
app.config.globalProperties.$mainTextColor = '#9ca3af'

app.use(createPinia())
app.use(router)
app.use(i18n)
app.use(ElementPlus)

app.mount('#app')
